# Grafpix

Grafpix `Flutter` Icon Package, is a huge  grawing collection of high ranked icon-sets from multiple authors merged into ready for you to use in your flutter projects.

## Getting Started

One of the most useful ui-tools available on the web for mobile app developers are icons, and when a collection of great icon sets is available to you with ease of use under one single bundle, it is even much better.

## Features!
  - Top ranked icon sets from multiple `authors` to grant you the best UI experience for your application audients.
  - A growing collection of icons (1190+ icons) managed from one single package. 
  - Hassle free, Save your time & efforts.
  - Using one single line of code you are ready to go.

#### Whats New
  - 336 Newly added creative icons from [Stephen Hutchings](https://www.s-ings.com/).

### Included Icon Sets
  - 336 Icons from [Stephen Hutchings](https://www.s-ings.com/).
  - 491 Free web icons merged by [Grafpix](https://github.com/grafpix/).
  - 467 Icons from [CaptainIcon](https://mariodelvalle.github.io/CaptainIconWeb/).

### Installation
In your `pubspec.yaml` under `dependencies` add the following line:
```yaml
dependencies:
  grafpix: ^1.1.6
```
From your `Terminal`, run the following code:

```sh
  flutter pub get
```

#### Usage
Use the *`PixIcon`* as `IconData`.
```sh
Icon({PixIcon.icon_name})
```

### Example
PixIcon.*home* icon example
```dart
import 'package:grafpix/icons.dart';

class MyApp extends StatelessWidget {
  Widget build(BuildContext context) {
    return IconButton(
      icon: Icon(PixIcon.pix_android, size: 30.0, color:Colors.green[600]), 
      onPressed: () { print('Icon Pressed'); }
     );
  }
}
```

[![GRAFPIX](https://files.fm/thumb_show.php?i=hhma8df9)](http://grafpix.com)
#### Author
> Ahmed Mustafa < ahmed.dev2020@gmail.com >
> if you have suggestions, please feel free to contact me any time.
> your feedback is highly appreciated.

### License
MIT
